> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voucher Details

> ## Get Voucher Details ##

Given a voucher code, returns information regarding that voucher



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /apiv1/supplier/voucherDetails
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /apiv1/supplier/voucherDetails:
    get:
      tags:
        - Version 1
        - Vouchers
      summary: Get Voucher Details
      description: |-
        ## Get Voucher Details ##

        Given a voucher code, returns information regarding that voucher
      operationId: get_api_rest_v1_getvoucherdetails
      parameters:
        - name: voucher
          in: path
          description: Voucher code
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returned when successful.
          content:
            application/json:
              schema:
                description: Voucher and order details
                properties:
                  voucher:
                    description: Voucher Code
                    type: string
                  bookingReference:
                    description: Associated Order Booking Reference
                    type: string
                  fareName:
                    description: Name of the ordered product
                    type: string
                  quantity:
                    description: Quantity of the ordered product
                    type: integer
                  claimStatus:
                    description: Status of voucher claim
                    type: string
                  netRate:
                    description: Net Rate (per quantity, in operator's fare currency)
                    type: number
                    format: float
                  rrp:
                    description: >-
                      Recommended Retail Price at time of sale (per quantity, in
                      operator's fare currency)
                    type: number
                    format: float
                  discounted:
                    description: Denotes whether this voucher's Net and RRP were overridden
                    type: boolean
                  currency:
                    description: Fare currency
                    type: string
                  redeemers:
                    description: Customers associated with this voucher
                    type: array
                    items:
                      properties:
                        firstName:
                          description: Customer First Name
                          type: string
                        lastName:
                          description: Customer Last Name
                          type: string
                        contact:
                          description: Customer contact phone number
                          type: string
                        email:
                          description: Customer email address
                          type: string
                        quantity:
                          description: >-
                            Quantity of the voucher belonging to this particular
                            Customer
                          type: integer
                      type: object
                type: object
        '400':
          description: Returned when required arguments not provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when the voucher details are not accessible.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.